Ogre::Win32Context Class Reference

`#include <OgreWin32Context.h>`

Inheritance diagram for Ogre::Win32Context:
[legend]

List of all members.

## Public Member Functions

| Win32Context (HDC HDC, HGLRC Glrc)
virtual | ~Win32Context ()
virtual void | setCurrent ()
| See GLContext.
virtual void | endCurrent ()
| See GLContext.
GLContext * | clone () const
virtual void | releaseContext ()
| Release the render context.
bool | getInitialized ()
void | setInitialized ()

## Protected Attributes

HDC | mHDC
HGLRC | mGlrc
bool | initialized

## Detailed Description

Definition at line 36 of file OgreWin32Context.h.

## Constructor & Destructor Documentation

Ogre::Win32Context::Win32Context | ( | HDC | HDC,
|  | HGLRC | Glrc
| ) |  |

virtual Ogre::Win32Context::~Win32Context | ( |  | ) | `[virtual]`

## Member Function Documentation

GLContext* Ogre::Win32Context::clone | ( |  | ) | const`[virtual]`

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note:
  The caller is responsible for deleting the returned context.

Implements Ogre::GLContext.

virtual void Ogre::Win32Context::endCurrent | ( |  | ) | `[virtual]`

See GLContext.

Implements Ogre::GLContext.

bool Ogre::GLContext::getInitialized | ( |  | ) | `[inherited]`

Definition at line 57 of file OgreGLContext.h.

virtual void Ogre::Win32Context::releaseContext | ( |  | ) | `[virtual]`

Release the render context.

Reimplemented from Ogre::GLContext.

virtual void Ogre::Win32Context::setCurrent | ( |  | ) | `[virtual]`

See GLContext.

Implements Ogre::GLContext.

void Ogre::GLContext::setInitialized | ( |  | ) | `[inherited]`

Definition at line 58 of file OgreGLContext.h.

## Member Data Documentation

bool Ogre::GLContext::initialized`[protected, inherited]`

Definition at line 71 of file OgreGLContext.h.

HGLRC Ogre::Win32Context::mGlrc`[protected]`

Definition at line 54 of file OgreWin32Context.h.

HDC Ogre::Win32Context::mHDC`[protected]`

Definition at line 53 of file OgreWin32Context.h.

The documentation for this class was generated from the following file:

- OgreWin32Context.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:54